%define upstream_name       WWW-Mechanize-Cached
%define upstream_version 1.50

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cache response to be polite
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Cache::FileCache)
BuildRequires: perl(Carp)
BuildRequires: perl(Data::Dump)
BuildRequires: perl(Devel::SimpleTrace)
BuildRequires: perl(English)
BuildRequires: perl(ExtUtils::MakeMaker) >= 6.300.0
BuildRequires: perl(File::Spec)
BuildRequires: perl(Find::Lib)
BuildRequires: perl(HTTP::Request)
BuildRequires: perl(LWP::ConsoleLogger::Easy)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moo)
BuildRequires: perl(MooX::Types::MooseLike::Base)
BuildRequires: perl(Moose)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Storable) >= 2.210.0
BuildRequires: perl(Test::Fatal)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Requires)
BuildRequires: perl(Test::RequiresInternet)
BuildRequires: perl(WWW::Mechanize)
BuildRequires: perl(constant)
BuildRequires: perl(namespace::clean)
BuildRequires: perl(strict)
BuildRequires: perl(vars)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
Uses the Cache::Cache hierarchy to implement a caching Mech. This
lets one perform repeated requests without hammering a server
impolitely.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%make_install

%files
%doc AUTHORS Changes INSTALL LICENSE META.json MYMETA.yml README examples
%{perl_vendorlib}/WWW/Mechanize/Cached.pm
%{_mandir}/*/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1035739
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 969198
- Mageia 6 Mass Rebuild

* Thu Aug 13 2015 sander85 <sander85> 1.500.0-1.mga6
+ Revision: 864516
- update to 1.50

* Sat Jul 04 2015 sander85 <sander85> 1.480.0-1.mga6
+ Revision: 850030
- update to 1.48

* Wed Oct 15 2014 umeabot <umeabot> 1.440.0-3.mga5
+ Revision: 738902
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.440.0-2.mga5
+ Revision: 686841
- Mageia 5 Mass Rebuild

* Wed Aug 27 2014 sander85 <sander85> 1.440.0-1.mga5
+ Revision: 668671
- update to 1.44

* Sat Oct 19 2013 umeabot <umeabot> 1.430.0-2.mga4
+ Revision: 530684
- Mageia 4 Mass Rebuild

* Sat Jul 27 2013 sander85 <sander85> 1.430.0-1.mga4
+ Revision: 459102
- update to 1.43

* Sun Jan 13 2013 umeabot <umeabot> 1.410.0-2.mga3
+ Revision: 374734
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jul 04 2012 jquelin <jquelin> 1.410.0-1.mga3
+ Revision: 267515
- update to 1.41

* Tue Jan 25 2011 jquelin <jquelin> 1.400.0-1.mga1
+ Revision: 38394
- mageia rebuild
- imported package perl-WWW-Mechanize-Cached


* Fri Nov 12 2010 Jérôme Quelin <jquelin@mandriva.org> 1.400.0-1mdv2011.0
+ Revision: 596699
- update to 1.40

* Thu Sep 02 2010 Jérôme Quelin <jquelin@mandriva.org> 1.370.0-1mdv2011.0
+ Revision: 575426
- adding missing buildrequires:
- update to 1.37

* Sat Nov 21 2009 Jérôme Quelin <jquelin@mandriva.org> 1.350.0-1mdv2011.0
+ Revision: 467879
- update to 1.35

* Wed Jul 15 2009 Guillaume Rousse <guillomovitch@mandriva.org> 1.330.0-1mdv2010.0
+ Revision: 396297
- new version

* Wed Oct 01 2008 Oden Eriksson <oeriksson@mandriva.com> 1.32-7mdv2009.0
+ Revision: 290441
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 1.32-4mdv2008.0
+ Revision: 25462
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 1.32-3mdv2008.0
+ Revision: 23571
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.32-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 1.32-1mdk
- initial Mandriva package

